► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

new
get-classname
read
set-classname

top ← prev up next →

> class

> editor-data-class% : class?

superclass: object%

An editor-data-class% object defines a type for editor-data% objects. See also Editor Data.

> > constructor

> > ( new editor-data-class% ) → ( is-a?/c editor-data-class% )

Creates a (useless) instance.

> > method

> > ( send an-editor-data-class get-classname ) → string?

Gets the name of the class. Names starting with wx are reserved for internal use.

> > method

> > ( send an-editor-data-class read f)

> → ( or/c ( is-a?/c editor-data% ) #f)
> f : ( is-a?/c editor-stream-in% )

Reads a new data object from the given stream, returning #f if there is an error.

> > method

> > ( send an-editor-data-class set-classname v) → void?

> v : string?

Sets the name of the class. Names starting with wx are reserved for internal use.

An editor data class name should usually have the form "(lib\n ...)" to enable on-demand loading of the class; see Editor Data for details.
top ← prev up next →